################################################################################
#
# dhcpcd
#
################################################################################

VS_DHCPCD_VERSION = 6.1.0
VS_DHCPCD_SOURCE = dhcpcd-$(VS_DHCPCD_VERSION).tar.bz2
VS_DHCPCD_SITE = http://roy.marples.name/downloads/dhcpcd
VS_DHCPCD_DEPENDENCIES = host-pkgconf
VS_DHCPCD_LICENSE = BSD-2c
VS_DHCPCD_CONFIG_OPTS += --disable-fork

ifeq ($(BR2_INET_IPV6),)
	VS_DHCPCD_CONFIG_OPTS += --disable-ipv6
endif

ifeq ($(BR2_STATIC_LIBS),y)
	VS_DHCPCD_CONFIG_OPTS += --enable-static
endif

ifeq ($(BR2_USE_MMU),)
	VS_DHCPCD_CONFIG_OPTS += --disable-fork
endif

define VS_DHCPCD_CONFIGURE_CMDS
	(cd $(@D); \
	$(TARGET_CONFIGURE_OPTS) ./configure \
		--os=linux \
		$(VS_DHCPCD_CONFIG_OPTS) )
endef

define VS_DHCPCD_BUILD_CMDS
	$(TARGET_MAKE_ENV) $(MAKE) \
		-C $(@D) all
endef

define VS_DHCPCD_INSTALL_TARGET_CMDS
	$(TARGET_MAKE_ENV) $(MAKE) -C $(@D) install DESTDIR=$(TARGET_DIR)
endef

# NOTE: Even though this package has a configure script, it is not generated
# using the autotools, so we have to use the generic package infrastructure.

$(eval $(generic-package))
